import { EChain, ESupportedTokenName, ETokenType } from "../enum/index.js";
import { ChainId, EVMContractAddress } from "../primitives/index.js";
export declare class SupportedToken {
    tokenName: ESupportedTokenName;
    chain: EChain;
    constructor(tokenName: ESupportedTokenName, chain: EChain);
}
export declare class TokenInformation {
    name: string;
    symbol: string;
    chainId: ChainId;
    tokenType: ETokenType;
    contractAddress: EVMContractAddress;
    decimals: number;
    constructor(name: string, symbol: string, chainId: ChainId, tokenType: ETokenType, contractAddress: EVMContractAddress, decimals: number);
}
export declare class ERC20TokenInformation extends TokenInformation {
    name: string;
    symbol: string;
    chainId: ChainId;
    tokenType: ETokenType;
    contractAddress: EVMContractAddress;
    decimals: number;
    transferGasLimit: number;
    constructor(name: string, symbol: string, chainId: ChainId, tokenType: ETokenType, contractAddress: EVMContractAddress, decimals: number, transferGasLimit: number);
}
//# sourceMappingURL=TokenInformation.d.ts.map