// Designed to account for similar token names but existing on different chain
// Eg. Wrapped ETH ERC20 on other chains
export class SupportedToken {
    constructor(tokenName, chain) {
        this.tokenName = tokenName;
        this.chain = chain;
    }
}
// Designed to be extended for different type of token types
export class TokenInformation {
    constructor(name, symbol, chainId, tokenType, contractAddress, decimals) {
        this.name = name;
        this.symbol = symbol;
        this.chainId = chainId;
        this.tokenType = tokenType;
        this.contractAddress = contractAddress;
        this.decimals = decimals;
    }
}
// Extended to have ERC20 specific information
export class ERC20TokenInformation extends TokenInformation {
    constructor(name, symbol, chainId, tokenType, contractAddress, decimals, transferGasLimit) {
        super(name, symbol, chainId, tokenType, contractAddress, decimals);
        this.name = name;
        this.symbol = symbol;
        this.chainId = chainId;
        this.tokenType = tokenType;
        this.contractAddress = contractAddress;
        this.decimals = decimals;
        this.transferGasLimit = transferGasLimit;
    }
}
//# sourceMappingURL=TokenInformation.js.map