import { ERC20TokenInformation, SupportedToken, } from "../businessObjects/TokenInformation";
import { EChain, ESupportedTokenName, ETokenType, } from "../enum/index.js";
import { ChainId, EVMContractAddress } from "../primitives/index.js";
export const supportedERC20TokenConfig = new Map([
    [
        new SupportedToken(ESupportedTokenName.Degen, EChain.Base),
        new ERC20TokenInformation("Degen", "DEGEN", ChainId(EChain.Base), ETokenType.ERC20, EVMContractAddress("0x4ed4E862860beD51a9570b96d89aF5E1B0Efefed"), 18, 59000),
    ],
    [
        new SupportedToken(ESupportedTokenName.CoqInu, EChain.Avalanche),
        new ERC20TokenInformation("Coq Inu", "COQ", ChainId(EChain.Avalanche), ETokenType.ERC20, EVMContractAddress("0x420FcA0121DC28039145009570975747295f2329"), 18, 57000),
    ],
]);
// To account for similar token names on different chains
export function getERC20TokenInfoByTokenNameAndChain(tokenName, chain) {
    const tokenInfo = supportedERC20TokenConfig.get(new SupportedToken(tokenName, chain));
    if (tokenInfo == null) {
        throw new Error(`Unknown or unsupported token name : ${tokenName}, on chain ${chain}.`);
    }
    return tokenInfo;
}
//# sourceMappingURL=tokens.config.js.map